<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Load R Markdown package — load_pkg • pkgpurl</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Load R Markdown package — load_pkg"><meta name="description" content="Executes the steps to load an R package written in R Markdown format in one go:
Purl all relevant Rmd/*.Rmd files to R/*.gen.R files using purl_rmd().
Loads the package using devtools::load_all().

"><meta property="og:description" content="Executes the steps to load an R package written in R Markdown format in one go:
Purl all relevant Rmd/*.Rmd files to R/*.gen.R files using purl_rmd().
Loads the package using devtools::load_all().

"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Load R Markdown package</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/R/pkgpurl.gen.R" class="external-link"><code>R/pkgpurl.gen.R</code></a></small>
      <div class="d-none name"><code>load_pkg.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Executes the steps to load an R package written in R Markdown format in one go:</p><ol><li><p>Purl all relevant <code>Rmd/*.Rmd</code> files to <code>R/*.gen.R</code> files using <code><a href="purl_rmd.html">purl_rmd()</a></code>.</p></li>
<li><p>Loads the package using <code><a href="https://devtools.r-lib.org/reference/load_all.html" class="external-link">devtools::load_all()</a></code>.</p></li>
</ol></div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">load_pkg</span><span class="op">(</span></span>
<span>  path <span class="op">=</span> <span class="st">"."</span>,</span>
<span>  add_copyright_notice <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  add_license_notice <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  gen_pkgdown_ref <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  reset <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  recompile <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  export_all <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  helpers <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  <span class="va">...</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-path">path<a class="anchor" aria-label="anchor" href="#arg-path"></a></dt>
<dd><p>Path to the root of the package directory.</p></dd>


<dt id="arg-add-copyright-notice">add_copyright_notice<a class="anchor" aria-label="anchor" href="#arg-add-copyright-notice"></a></dt>
<dd><p>Whether or not to add a <strong>copyright notice</strong> at the beginning of the generated <code>.R</code> files as recommended by e.g. the <a href="https://www.gnu.org/licenses/gpl-howto.html" class="external-link">GNU licenses</a>. The notice consists of the name and description of the program and the word <code>Copyright (C)</code> followed by the release years and the name(s) of the copyright holder(s), or if not specified, the author(s). The year is always the current year. All the other information is extracted from the package's <code>DESCRIPTION</code> file. A logical scalar. Only applies if <code>path</code> <a href="https://pal.rpkg.dev/reference/is_pkg_dir.html" class="external-link">is actually an R package directory</a>.</p></dd>


<dt id="arg-add-license-notice">add_license_notice<a class="anchor" aria-label="anchor" href="#arg-add-license-notice"></a></dt>
<dd><p>Whether or not to add a <strong>license notice</strong> at the beginning of the generated <code>.R</code> files as recommended by e.g. the <a href="https://www.gnu.org/licenses/gpl-howto.html" class="external-link">GNU licenses</a>. The license is determined from the package's <code>DESCRIPTION</code> file and currently only the <a href="https://spdx.org/licenses/AGPL-3.0-or-later.html" class="external-link"><code>AGPL-3.0-or-later</code> license</a> is supported. A logical scalar. Only applies if <code>path</code> <a href="https://pal.rpkg.dev/reference/is_pkg_dir.html" class="external-link">is actually an R package directory</a>.</p></dd>


<dt id="arg-gen-pkgdown-ref">gen_pkgdown_ref<a class="anchor" aria-label="anchor" href="#arg-gen-pkgdown-ref"></a></dt>
<dd><p>Whether or not to overwrite <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a>'s <a href="https://pkgdown.r-lib.org/reference/build_reference.html#reference-index" class="external-link">reference index</a> in the configuration file <code>_pkgdown.yml</code> with an auto-generated one based on the main input file as described in <code><a href="gen_pkgdown_ref.html">gen_pkgdown_ref()</a></code>. A logical scalar. Only applies if <code>path</code> <a href="https://pal.rpkg.dev/reference/is_pkg_dir.html" class="external-link">is actually an R package directory</a>, <a href="https://pal.rpkg.dev/reference/is_pkgdown_dir.html" class="external-link">pkgdown is set up</a> and a <a href="main_rmd.html">main R Markdown file</a> exists.</p></dd>


<dt id="arg-reset">reset<a class="anchor" aria-label="anchor" href="#arg-reset"></a></dt>
<dd><p>clear package environment and reset file cache before loading
any pieces of the package. This largely equivalent to running
<code><a href="https://pkgload.r-lib.org/reference/unload.html" class="external-link">unload()</a></code>, however the old namespaces are not completely removed and no
<code>.onUnload()</code> hooks are called. Use <code>reset = FALSE</code> may be faster for
large code bases, but is a significantly less accurate approximation.</p></dd>


<dt id="arg-recompile">recompile<a class="anchor" aria-label="anchor" href="#arg-recompile"></a></dt>
<dd><p>DEPRECATED. force a recompile of DLL from source code, if
present. This is equivalent to running <code><a href="https://pkgbuild.r-lib.org/reference/clean_dll.html" class="external-link">pkgbuild::clean_dll()</a></code> before
<code>load_all</code></p></dd>


<dt id="arg-export-all">export_all<a class="anchor" aria-label="anchor" href="#arg-export-all"></a></dt>
<dd><p>If <code>TRUE</code> (the default), export all objects.
If <code>FALSE</code>, export only the objects that are listed as exports
in the NAMESPACE file.</p></dd>


<dt id="arg-helpers">helpers<a class="anchor" aria-label="anchor" href="#arg-helpers"></a></dt>
<dd><p>if <code>TRUE</code> loads <span class="pkg">testthat</span> test helpers.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>if <code>TRUE</code> suppresses output from this function.</p></dd>


<dt id="arg--">...<a class="anchor" aria-label="anchor" href="#arg--"></a></dt>
<dd><p>Additional arguments passed to <code><a href="https://pkgload.r-lib.org/reference/load_all.html" class="external-link">pkgload::load_all()</a></code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p><code>path</code>, invisibly.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other high-level functions:
<code><a href="lint_rmd.html">lint_rmd</a>()</code>,
<code><a href="process_pkg.html">process_pkg</a>()</code>,
<code><a href="purl_rmd.html">purl_rmd</a>()</code>,
<code><a href="run_nopurl_rmd.html">run_nopurl_rmd</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

